Description

Related issues:

Is duplicate of Foreman - Feature #1069: Unattended install behind firewall a... Closed 07/26/2011

History

#1 - 07/21/2011 08:59 AM - NoName NoSurname

I've a problem with the clients inventory for which I always have "No inventory data" after a fresh install. Looking further it seems it's because the host

is still in "Build" status.

I verified the KS used during the installation and here's the notification to foreman section :

1. Inform the build system that we are done.

echo "Informing Foreman that we are built"

wget -q -O /dev/null --no-check-certificate http://foremanserver:3000/unattended/built

exit 0

%end

so the link is good and I tried to run the command "wget -q -O /dev/null --no-check-certificate http://foremanserver:3000/unattended/built" manually

and this has no effect in forman which tell the client still in build mode...

Is there any configuration I missed ?

Thanks in advance

#2 - 07/21/2011 03:01 PM - Ohad Levy

- Status changed from New to Feedback

did you try it from the host your tried to build? foreman is auto detecting where the request is coming from...

#3 - 07/21/2011 09:24 PM - NoName NoSurname

Hi Ohadlevy,

Yes of course I tried to manually run the command directly from the client !

Any idea ?

Thanks

#4 - 07/22/2011 05:49 PM - NoName NoSurname

Hello,

I found the problem of this case.

To be clear :

Foreman / puppet master are installed on the same machine which is on LAN and WAN (with restrictions).
Now, when I create a new machine into LAN, the notification will be send on the PUBLIC address of foreman. Meaning this new client will use its

gateway to access internet and when foreman see the request coming the IP address is not the private one of the new machine of course but the

public one of the Gateway / Firewall !!!

This is tricky and I don't know if you will not find another way to advise foreman that the build is done...

Like to hardcode the client IP in the URL...

What do you think ?

#5 - 07/03/2012 08:46 AM - Benjamin Papillon

Hardcoding the client IP in the URL is really bad in case of unauthentified query.

How about managing this issue the same way it is done for the kickstart query?

It should be possible to spoof the "build done" message only if user is authenticated.

This way, you can pass authentication to wget/curl/whatever and it wont break your security.

#6 - 07/03/2012 09:02 AM - Ohad Levy

- Status changed from Feedback to Duplicate
